import { EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { NzMessageService } from 'ng-zorro-antd/message';
import { TranslateService } from '@ngx-translate/core';
import { ClientVO } from '../../vo/client.vo';
export declare class IdentityClientsUpdateComponent {
    private nzMessageService;
    private translateService;
    client: ClientVO;
    clientFetching: boolean;
    clientUpdating: boolean;
    formGroup: FormGroup;
    nzSelectedIndex: number;
    ok: EventEmitter<void>;
    visible: boolean;
    visibleChange: EventEmitter<boolean>;
    constructor(nzMessageService: NzMessageService, translateService: TranslateService);
    handleAfterClose(): void;
    handleAfterOpen(): void;
    handleCancel(): void;
    handleOk(): void;
    private fetchClient;
}
